%define module_name     ipw2100
%define module_version  1.1.2
%define module_release  alt3.132620.11

%define kversion        2.6.12
%define krelease        alt11
%define flavour         std26-up


%define module_dir /lib/modules/%kversion-%flavour-%krelease/kernel/drivers/net/wireless

Summary: Linux %module_name - a Intel(R) PRO/Wireless 2100 Network Connection Driver module
Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release
License: GPL
Group: System/Kernel and hardware

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS: Linux
Url: http://%module_name.sourceforge.net/
Patch1: ipw2100-1.1.2-ieee80211-1.0.3.patch

BuildPreReq: kernel-build-tools

BuildRequires: kernel-headers-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name-%module_version
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-headers-ieee80211-%kversion-%flavour-%krelease

Provides:       kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts:      kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts:      kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

PreReq: coreutils
PreReq: modutils
PreReq: kernel-image-%flavour = %kversion-%krelease
ExclusiveArch: %ix86

Requires: firmware-%module_name
%define ieee80211_release_file %_usrsrc/linux-%kversion-%flavour/kernel-modules-ieee80211.release
%([ -s "%ieee80211_release_file" ] && echo "PreReq: $(cat "%ieee80211_release_file")")

%description
This project was created by Intel to enable support for the Intel
PRO/Wireless 2100 Network Connection mini PCI adapter.

%prep
%__rm -rf kernel-source-%module_name-%module_version

%__tar -jxvf %_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2

%setup -D -T -n kernel-source-%module_name-%module_version
%patch1 -p0

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc

%__mkdir .tmp_versions
%__mkdir ieee80211
for f in %_usrsrc/linux-%kversion-%flavour/drivers/net/ieee80211/*.o; do
	mod="${f##*/}"
	mod="${mod%.o}"
	echo "$(pwd)/ieee80211/$mod.ko" > .tmp_versions/"$mod".mod
	%__cp -a "$f" ieee80211/
done

%make_build -C %_usrsrc/linux-%kversion-%flavour SUBDIRS=$PWD \
	    LINUXSRC=%_usrsrc/linux-%kversion-%flavour/ \
	    IEEE80211_INC=%_usrsrc/linux-%kversion-%flavour/include

%install
%__mkdir_p %buildroot/%module_dir
%__cp -a *.ko %buildroot/%module_dir

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%defattr(644,root,root,755)
%module_dir

%changelog
* Tue Jul 19 2005 Alexey Shabalin <shaba@altlinux.ru> 1.1.2-alt3.132620.11
- Add patch ipw2100-1.1.2-ieee80211-1.0.3.patch for compile with ieee80211 v1.0.3

* Mon Jul 18 2005 Sergey Vlasov <vsu@altlinux.ru> 1.1.2-alt2.132620.11
- Fixed BuildRequires.
- Fixed dependency on kernel-modules-ieee80211-%%flavour (version and release
  are taken from the version stamp file in kernel-headers-ieee80211-%%flavour).
- Use *.o files from kernel-headers-ieee80211-%%flavour to get proper symbol
  versioning.

* Thu Jul 14 2005 Alexey Shabalin <shaba@altlinux.ru> 1.1.2-alt1.132620.11
- update to 1.1.2
- remove conflict with ipw2200
- Requires: kernel-modules-ieee80211
- remove all patchs
- fix spec

* Sat Jul 02 2005 Sergey Vlasov <vsu@altlinux.ru> 1.1.0-alt3.132620.11
- Added:
  + ipw2100-1.1.0-kernel-2.6.12-compat.patch: fix compilation with 2.6.12

* Fri May 20 2005 Alexey Shabalin <shaba@altlinux.ru> 1.1.0-alt2.132620.11
- fix spec for Kernel CVS  

* Sun May 15 2005 Alexey Shabalin <shaba@altlinux.ru> 1.1.0-alt1.8
- rebuild for 2.6.11-std26-alt8

* Thu Apr 28 2005 Alexey Shabalin <shaba@altlinux.ru> 1.1.0-alt1.6
- initial release
